package com.rjconsultores.ventaboletos.web.utilerias;

import java.io.BufferedReader;
import java.io.DataInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Version {
	private static Logger log = LoggerFactory.getLogger(Version.class);

	public static String readVersion() {
		String version = "";
		try {
			InputStream is = (new Version()).getClass().getResourceAsStream("/versionADM.info");
			DataInputStream dis = new DataInputStream(is);
			BufferedReader br = new BufferedReader(new InputStreamReader(dis));
			version = br.readLine();
			is.close();
			dis.close();
		} catch (IOException e) {
			version = "";
			log.error("", e);
		}
		return version;
	}

}
